autofs-5.1.0 - fix leak in get_network_proximity()

From: Ian Kent <raven@themaw.net>

Fix variable net not freed after use in get_network_proximity().
---
 CHANGELOG        |    1 +
 lib/parse_subs.c |    5 +++--
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 86166d7..92657c3 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -11,6 +11,7 @@
 - fix memory leak in conf_amd_get_log_options().
 - fix signed comparison in inet_fill_net().
 - fix buffer size checks in get_network_proximity().
+- fix leak in get_network_proximity().
 
 04/06/2014 autofs-5.1.0
 =======================
diff --git a/lib/parse_subs.c b/lib/parse_subs.c
index 9af5106..6e9f2d7 100644
--- a/lib/parse_subs.c
+++ b/lib/parse_subs.c
@@ -446,9 +446,10 @@ unsigned int get_network_proximity(const char *name)
 		return PROXIMITY_ERROR;
 
 	net = get_network_number(name);
-	if (net)
+	if (net) {
 		strcpy(name_or_num, net);
-	else {
+		free(net);
+	} else {
 		char this[NI_MAXHOST + 1];
 		char *mask;
 
